<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>py_arg.generators package &mdash; PyArg  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="py_arg.generators.abstract_argumentation_framework_generators package" href="py_arg.generators.abstract_argumentation_framework_generators.html" />
    <link rel="prev" title="py_arg.explanation package" href="py_arg.explanation.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> PyArg
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation instructions</a></li>
<li class="toctree-l1"><a class="reference internal" href="example_usage.html">Example Usage</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">PyArg Module Overview</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="py_arg.html">py_arg package</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="py_arg.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html">py_arg.abstract_argumentation_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.html">py_arg.aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html">py_arg.dynamic_aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.explanation.html">py_arg.explanation package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">py_arg.generators package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.labels.html">py_arg.labels package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.logic.html">py_arg.logic package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.relevance.html">py_arg.relevance package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.semantics.html">py_arg.semantics package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.stability.html">py_arg.stability package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.utils.html">py_arg.utils package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="py_arg.html#module-py_arg">Module contents</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PyArg</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="modules.html">PyArg Module Overview</a> &raquo;</li>
          <li><a href="py_arg.html">py_arg package</a> &raquo;</li>
      <li>py_arg.generators package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/py_arg.generators.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="py-arg-generators-package">
<h1>py_arg.generators package<a class="headerlink" href="#py-arg-generators-package" title="Permalink to this headline"></a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Permalink to this headline"></a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="py_arg.generators.abstract_argumentation_framework_generators.html">py_arg.generators.abstract_argumentation_framework_generators package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.generators.abstract_argumentation_framework_generators.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.generators.abstract_argumentation_framework_generators.html#module-py_arg.generators.abstract_argumentation_framework_generators.abstract_argumentation_framework_generator">py_arg.generators.abstract_argumentation_framework_generators.abstract_argumentation_framework_generator module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.generators.abstract_argumentation_framework_generators.html#module-py_arg.generators.abstract_argumentation_framework_generators">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="module-py_arg.generators">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-py_arg.generators" title="Permalink to this headline"></a></h2>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="py_arg.explanation.html" class="btn btn-neutral float-left" title="py_arg.explanation package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="py_arg.generators.abstract_argumentation_framework_generators.html" class="btn btn-neutral float-right" title="py_arg.generators.abstract_argumentation_framework_generators package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, AnneMarie Borg and Daphne Odekerken.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>